Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.iapi
Enum ProcessState

    java.lang.Object
      java.lang.Enum<ProcessState>
          org.apache.ode.bpel.iapi.ProcessState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProcessState>

    public enum ProcessState

extends java.lang.Enum<ProcessState>

The user-selectable states of a process in the configuration store.

Enum Constant Summary
`ACTIVE` Process can create new instances and execute old instances.
`DISABLED` Process cannot exeucte old nor create new instances.
`RETIRED` Process can execute old instances, but cannot create new instances.

Method Summary
`static ProcessState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProcessState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTIVE

    public static final ProcessState ACTIVE

  Process can create new instances and execute old instances.

### RETIRED

    public static final ProcessState RETIRED

  Process can execute old instances, but cannot create new instances.

### DISABLED

    public static final ProcessState DISABLED

  Process cannot exeucte old nor create new instances.

Method Detail

### values

    public static final ProcessState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProcessState c : ProcessState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProcessState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD